Skip to content
Start here

List all AI Gateway Dynamic Route Versions.

client.AIGateway.DynamicRouting.ListVersions(ctx, gatewayID, id, query) (*DynamicRoutingListVersionsResponse, error)
GET/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/routes/{id}/versions

List all AI Gateway Dynamic Route Versions.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
AI Gateway WriteAI Gateway Read
ParametersExpand Collapse
gatewayID string
id string
query DynamicRoutingListVersionsParams
AccountID param.Field[string]
ReturnsExpand Collapse
type DynamicRoutingListVersionsResponse struct{…}
Data DynamicRoutingListVersionsResponseData
OrderBy string
OrderByDirection string
Page float64
PerPage float64
Versions []DynamicRoutingListVersionsResponseDataVersion
Active DynamicRoutingListVersionsResponseDataVersionsActive
One of the following:
const DynamicRoutingListVersionsResponseDataVersionsActiveTrue DynamicRoutingListVersionsResponseDataVersionsActive = "true"
const DynamicRoutingListVersionsResponseDataVersionsActiveFalse DynamicRoutingListVersionsResponseDataVersionsActive = "false"
CreatedAt string
Data string
VersionID string
Success bool

List all AI Gateway Dynamic Route Versions.

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/ai_gateway"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.AIGateway.DynamicRouting.ListVersions(
    context.TODO(),
    "54442216",
    "54442216",
    ai_gateway.DynamicRoutingListVersionsParams{
      AccountID: cloudflare.F("0d37909e38d3e99c29fa2cd343ac421a"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Data)
}
{
  "data": {
    "order_by": "order_by",
    "order_by_direction": "order_by_direction",
    "page": 0,
    "per_page": 0,
    "versions": [
      {
        "active": "true",
        "created_at": "created_at",
        "data": "data",
        "version_id": "version_id"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "data": {
    "order_by": "order_by",
    "order_by_direction": "order_by_direction",
    "page": 0,
    "per_page": 0,
    "versions": [
      {
        "active": "true",
        "created_at": "created_at",
        "data": "data",
        "version_id": "version_id"
      }
    ]
  },
  "success": true
}